commit:     a31d51332776a1583d68dc0adca3875b97070434
Author:     Brian Evans <grknight <AT> gentoo <DOT> org>
AuthorDate: Wed Sep 16 20:53:35 2015 +0000
Commit:     Brian Evans <grknight <AT> gentoo <DOT> org>
CommitDate: Wed Sep 16 20:53:35 2015 +0000
URL:        https://gitweb.gentoo.org/proj/mysql.git/commit/?id=a31d5133

percona-server: Version bump

Signed-off-by: Brian Evans <grknight <AT> gentoo.org>

 dev-db/percona-server/Manifest                     |  2 +-
 ...ebuild => percona-server-5.6.26.74.0-r1.ebuild} |  8 ++++--
 ....0.ebuild => percona-server-5.6.26.74.0.ebuild} |  8 ++++--
 eclass/mysql-cmake.eclass                          | 30 ++++++++++++++++++----
 eclass/mysql-multilib.eclass                       |  4 ++-
 5 files changed, 41 insertions(+), 11 deletions(-)

diff --git a/dev-db/percona-server/Manifest b/dev-db/percona-server/Manifest
index d87b4b5..6ea11dc 100644
--- a/dev-db/percona-server/Manifest
+++ b/dev-db/percona-server/Manifest
@@ -1,3 +1,3 @@
 DIST mysql-extras-20150113-1853Z.tar.bz2 1494439 SHA256 
420553dc8557d0622ad762ee6924900acc74fd4f367fd3840acab03114fada4d SHA512 
b1252d905b71a6f42484eaa796ebcd2f0769affc566e6c277ef3bc0ef9bc446a1c22aac3faa48ef7b9305056a1302b37d7ef86b547c44514528a5956ce61d372
 WHIRLPOOL 
d14f0d88358eb0bbd2c338052ec086ab8260988497ef09da934365ded3c30c7e905ea936a0c9817ccb49d1f6e3408b3f6a438455a2455c65c2f26a9fc6367ff3
 DIST mysql-extras-20150717-1707Z.tar.bz2 1491956 SHA256 
d67cc1e2c581ab7c57122b7d29864643869799893a95a158a18e14201d4ffc10 SHA512 
3a7cb07773099e766f8e796d4e555d42874b85285cc2c7c60220370cc6aafc36a60eb340008637298d85d83f529e73392895a81c1438ffccff9eb8f354b29ba9
 WHIRLPOOL 
11e75f4b696e2547c1da40e69d8ab75df4bf7080426204c040632f24846407b07d71061c09c4ff4a1d21a9d14a94769d8f8ef62421d0aecd99efe832caf4dd22
-DIST percona-server-5.6.25-73.0.tar.gz 34152178 SHA256 
790d056931b9dd5b158a732812490fdaf9407012aaf93d3f1c1b21942dcdc251 SHA512 
9bb4ee29ceb7e80460d2ffa779ca0aefaa6c0af1c4e5309c1c5f37840da4e85da1196a936e1862bacb3f36d064a6dcb6ad45b3eb55f60b033f2741ec6b487b9d
 WHIRLPOOL 
76c59da78fda5cf70802117e59ceb0a877513ed83b0069c6d5a3f169595eac43516897bc02c092caa71cb059424ed3d4cbb97133c6946f870ab7734e8ca7a282
+DIST percona-server-5.6.26-74.0.tar.gz 54819177 SHA256 
9156038d84bd1190a5b5df963877876584d30bd515ba3ad39e65a532430c1608 SHA512 
1874b5e5d40da3ba6a9ea5bf15b7b851b4c067edf3cbca4139c078536000010acaecb8ee94933f5c4482ea091967a30f042b3bd08bef5e3716cae0be8607410e
 WHIRLPOOL 
fd8d712d3ed1a785ad455d9d83f537303ad9b58d0562cf73adaba71527ab42513e0682b568aced5601b419e738f9d904d09bb37f387feaa42944795461e96b8e

diff --git a/dev-db/percona-server/percona-server-5.6.25.73.0-r1.ebuild 
b/dev-db/percona-server/percona-server-5.6.26.74.0-r1.ebuild
similarity index 95%
rename from dev-db/percona-server/percona-server-5.6.25.73.0-r1.ebuild
rename to dev-db/percona-server/percona-server-5.6.26.74.0-r1.ebuild
index 395c76a..736f490 100644
--- a/dev-db/percona-server/percona-server-5.6.25.73.0-r1.ebuild
+++ b/dev-db/percona-server/percona-server-5.6.26.74.0-r1.ebuild
@@ -9,7 +9,7 @@ SUBSLOT="18"
 
 inherit toolchain-funcs mysql-multilib
 # only to make repoman happy. it is really set in the eclass
-IUSE="$IUSE"
+IUSE="$IUSE tokudb tokudb-backup-plugin"
 
 # REMEMBER: also update eclass/mysql*.eclass before committing!
 KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 
~sparc-fbsd ~x86-fbsd ~x86-linux"
@@ -17,9 +17,13 @@ KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~ppc ~ppc64 ~s390 
~sh ~sparc ~x86 ~spar
 # When MY_EXTRAS is bumped, the index should be revised to exclude these.
 EPATCH_EXCLUDE=''
 
-DEPEND="|| ( >=sys-devel/gcc-3.4.6 >=sys-devel/gcc-apple-4.0 )"
+DEPEND="|| ( >=sys-devel/gcc-3.4.6 >=sys-devel/gcc-apple-4.0 )
+       tokudb? ( app-arch/snappy )
+       tokudb-backup-plugin? ( dev-util/valgrind )"
 RDEPEND="${RDEPEND}"
 
+REQUIRED_USE="tokudb? ( jemalloc ) tokudb-backup-plugin? ( tokudb )"
+
 # Please do not add a naive src_unpack to this ebuild
 # If you want to add a single patch, copy the ebuild to an overlay
 # and create your own mysql-extras tarball, looking at 000_index.txt

diff --git a/dev-db/percona-server/percona-server-5.6.25.73.0.ebuild 
b/dev-db/percona-server/percona-server-5.6.26.74.0.ebuild
similarity index 95%
rename from dev-db/percona-server/percona-server-5.6.25.73.0.ebuild
rename to dev-db/percona-server/percona-server-5.6.26.74.0.ebuild
index 633e4ca..4926a61 100644
--- a/dev-db/percona-server/percona-server-5.6.25.73.0.ebuild
+++ b/dev-db/percona-server/percona-server-5.6.26.74.0.ebuild
@@ -8,7 +8,7 @@ SUBSLOT="18"
 
 inherit toolchain-funcs mysql-multilib
 # only to make repoman happy. it is really set in the eclass
-IUSE="$IUSE"
+IUSE="$IUSE tokudb tokudb-backup-plugin"
 
 # REMEMBER: also update eclass/mysql*.eclass before committing!
 KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 
~sparc-fbsd ~x86-fbsd ~x86-linux"
@@ -16,9 +16,13 @@ KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~ppc ~ppc64 ~s390 
~sh ~sparc ~x86 ~spar
 # When MY_EXTRAS is bumped, the index should be revised to exclude these.
 EPATCH_EXCLUDE=''
 
-DEPEND="|| ( >=sys-devel/gcc-3.4.6 >=sys-devel/gcc-apple-4.0 )"
+DEPEND="|| ( >=sys-devel/gcc-3.4.6 >=sys-devel/gcc-apple-4.0 )
+       tokudb? ( app-arch/snappy )
+       tokudb-backup-plugin? ( dev-util/valgrind )"
 RDEPEND="${RDEPEND}"
 
+REQUIRED_USE="tokudb? ( jemalloc ) tokudb-backup-plugin? ( tokudb )"
+
 # Please do not add a naive src_unpack to this ebuild
 # If you want to add a single patch, copy the ebuild to an overlay
 # and create your own mysql-extras tarball, looking at 000_index.txt

diff --git a/eclass/mysql-cmake.eclass b/eclass/mysql-cmake.eclass
index 5429f22..3b72815 100644
--- a/eclass/mysql-cmake.eclass
+++ b/eclass/mysql-cmake.eclass
@@ -249,8 +249,15 @@ configure_cmake_standard() {
 
        if [[ ${PN} == "percona-server" ]]; then
                mycmakeargs+=(
-                       $(cmake-utils_use_with pam)
+                       $(cmake-utils_use_with pam PAM)
                )
+               if in_iuse tokudb ; then
+                       # TokuDB Backup plugin requires valgrind unconditionally
+                       mycmakeargs+=(
+                               $(mysql-cmake_use_plugin tokudb TOKUDB)
+                               $(usex tokudb-backup-plugin "" 
-DTOKUDB_BACKUP_DISABLED=1)
+                       )
+               fi
        fi
 
        if [[ ${PN} == "mysql-cluster" ]]; then
@@ -306,9 +313,20 @@ mysql-cmake_src_prepare() {
 
        if in_iuse tokudb ; then
                # Don't build bundled xz-utils
-               rm -f 
"${S}/storage/tokudb/ft-index/cmake_modules/TokuThirdParty.cmake"
-               touch 
"${S}/storage/tokudb/ft-index/cmake_modules/TokuThirdParty.cmake"
-               sed -i 's/ build_lzma//' 
"${S}/storage/tokudb/ft-index/ft/CMakeLists.txt" || die
+               if [[ -d "${S}/storage/tokudb/ft-index" ]] ; then
+                       rm -f 
"${S}/storage/tokudb/ft-index/cmake_modules/TokuThirdParty.cmake" || die
+                       touch 
"${S}/storage/tokudb/ft-index/cmake_modules/TokuThirdParty.cmake" || die
+                       sed -i 's/ build_lzma//' 
"${S}/storage/tokudb/ft-index/ft/CMakeLists.txt" || die
+               elif [[ -d "${S}/storage/tokudb/PerconaFT" ]] ; then
+                       rm 
"${S}/storage/tokudb/PerconaFT/cmake_modules/TokuThirdParty.cmake" || die
+                       touch 
"${S}/storage/tokudb/PerconaFT/cmake_modules/TokuThirdParty.cmake" || die
+                       sed -i -e 's/ build_lzma//' -e 's/ build_snappy//' 
"${S}/storage/tokudb/PerconaFT/ft/CMakeLists.txt" || die
+                       sed -i -e 
's/add_dependencies\(tokuportability_static_conv build_jemalloc\)//' 
"${S}/storage/tokudb/PerconaFT/portability/CMakeLists.txt" || die
+               fi
+
+               if [[ -d "${S}/plugin/tokudb-backup-plugin" ]] && ! use 
tokudb-backup-plugin ; then
+                        rm -r 
"${S}/plugin/tokudb-backup-plugin/Percona-TokuBackup" || die
+               fi
        fi
 
        # Remove the bundled groonga if it exists
@@ -399,7 +417,9 @@ mysql-cmake_src_configure() {
                CXXFLAGS="${CXXFLAGS} -fno-implicit-templates"
        fi
        # As of 5.7, exceptions and rtti are used!
-       if ! mysql_version_is_at_least "5.7" ; then
+       if [[ ${PN} -eq 'percona-server' ]] && mysql_version_is_at_least 
"5.6.26" ; then
+               CXXFLAGS="${CXXFLAGS} -fno-rtti"
+       elif ! mysql_version_is_at_least "5.7" ; then
                CXXFLAGS="${CXXFLAGS} -fno-exceptions -fno-rtti"
        fi
        export CXXFLAGS

diff --git a/eclass/mysql-multilib.eclass b/eclass/mysql-multilib.eclass
index 35f5d69..1f67e3a 100644
--- a/eclass/mysql-multilib.eclass
+++ b/eclass/mysql-multilib.eclass
@@ -575,7 +575,9 @@ mysql-multilib_src_configure() {
                CXXFLAGS="${CXXFLAGS} -fno-implicit-templates"
        fi
        # As of 5.7, exceptions are used!
-       if ! mysql_version_is_at_least "5.7" ; then
+       if [[ ${PN} == "percona-server" ]] && mysql_version_is_at_least 
"5.6.26" ; then
+                CXXFLAGS="${CXXFLAGS} -fno-rtti"
+        elif ! mysql_version_is_at_least "5.7" ; then
                CXXFLAGS="${CXXFLAGS} -fno-exceptions -fno-rtti"
        fi
        export CXXFLAGS

Reply via email to